      subroutine openfl

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      implicit real*8(a-h,o-z)

      open(01,file='old_restart',access='sequential',form='unformatted',
     &        status='old')

      open(02,file='new_restart',access='sequential',form='unformatted',
     &        status='new')

      open(03,file='bases',access='sequential',form='formatted',
     &        status='old')

      open(90,file='esppts',access='sequential',form='formatted',
     &        status='unknown')

      open(91,file='espf',access='sequential',form='formatted',
     &        status='new')

c  scratch files

      open(11,file='fort.11',access='sequential',form='unformatted',
     &        status='new')

      open(12,file='fort.12',access='sequential',form='unformatted',
     &        status='new')

      open(17,file='fort.17',access='sequential',form='unformatted',
     &        status='new')

      open(18,file='fort.18',access='sequential',form='unformatted',
     &        status='new')

      open(19,file='fort.19',access='sequential',form='unformatted',
     &        status='new')

      open(21,file='fort.21',access='sequential',form='unformatted',
     &        status='new')

      open(31,file='fort.31',access='sequential',form='unformatted',
     &        status='new')

      open(43,file='fort.43',access='sequential',form='unformatted',
     &        status='new')

      open(44,file='fort.44',access='sequential',form='unformatted',
     &        status='new')

      open(45,file='fort.45',access='sequential',form='unformatted',
     &        status='new')

      open(49,file='fort.49',access='sequential',form='unformatted',
     &        status='new')

      open(50,file='fort.50',access='sequential',form='unformatted',
     &        status='new')

      open(51,file='fort.51',access='sequential',form='unformatted',
     &        status='new')

      open(66,file='fort.66',access='sequential',form='unformatted',
     &        status='new')

      open(73,file='fort.73',access='sequential',form='unformatted',
     &        status='new')

      open(74,file='fort.74',access='sequential',form='unformatted',
     &        status='new')

      open(77,file='fort.77',access='sequential',form='formatted',
     &        status='new')

      open(81,file='fort.81',access='sequential',form='unformatted',
     &        status='new')

      open(82,file='fort.82',access='sequential',form='unformatted',
     &        status='new')

      open(83,file='fort.83',access='sequential',form='unformatted',
     &        status='new')

      open(84,file='fort.84',access='sequential',form='unformatted',
     &        status='new')

      open(85,file='fort.85',access='sequential',form='unformatted',
     &        status='new')

      open(86,file='fort.86',access='sequential',form='unformatted',
     &        status='new')

      return
      end
